/*
 * This file is a part of CMSLU -- Content Management System like Unix
 * and is not publicly distributed
 * 
 * Copyright (c) 2008, Tomasz Sowa
 * All rights reserved.
 * 
 */
 
#include "data.h"



Data::Data()
{
	// all these data will be reading from a config file
	
	log_file          = "cmslu.log";
	fcgi_socket       = "/var/cmslu/s1";
	fcgi_socket_chmod = 0770;
	fcgi_socket_user  = "tomek";
	fcgi_socket_group = "www";
	
	log_level  = 2;
	log_stdout = true;
	
	templates             = "../httpd/templates"; // templates dir
	default_index         = "index.html";
	http_session_id_name  = "slimaczek_sid";
	db_database           = "tomek";
	db_user               = "tomek";
	db_pass               = "monitorekasd";
	
	// !! add a method which will be adding a slash at the end of url-es
	base_url              = "http://s10.slimaczek.pl/"; // with a slash at the end
	
	one_item_is_showed    = true;

	dir.root.default_item = 134;
}






